#ifndef MAINWINDOW
#define MAINWINDOW
//---------------------------------------------------------------------
#include <Be.h>
//---------------------------------------------------------------------
#define MAINWINDOW_TITLE 			"RadioButton,CheckBox Application"
#define MAINWINDOW_POSITION_LEFT	100
#define MAINWINDOW_POSITION_TOP		100
#define MAINWINDOW_POSITION_WIDTH	400
#define MAINWINDOW_POSITION_HEIGHT	320
#define MAINWINDOW_WINDOWSTYLE      (B_TITLED_WINDOW)
//---------------------------------------------------------------------
#define MSG_SET 'setb'

//---------------------------------------------------------------------
class BAppMainView : public BView
{
public:
	BRadioButton *rbuttons_a[3],*rbuttons_b[3];
	BStringView *strview;
	BCheckBox *chkbox_a,*chkbox_b;

	BAppMainView(BRect frame);
};
//---------------------------------------------------------------------
class BAppMainWindow : public BWindow
{
public:
	BAppMainView *mainview;
	//-----------------------------------------------------------------
	BAppMainWindow(BRect frame,const char *title);
	virtual void MessageReceived(BMessage *msg);
	//-----------------------------------------------------------------
	bool QuitRequested()
	{
		be_app->PostMessage(B_QUIT_REQUESTED);
		return true;
	};
};
//---------------------------------------------------------------------
int GetSelectionIndex(BRadioButton *rbuttons[],int button_max);
//---------------------------------------------------------------------
#endif
